-- Create Database Scheme for Documents
create table Document (
    id bigint generated by default as identity,
    content varchar(10) not null,
    topic varchar(10),
    title varchar(255) not null,
    author varchar(255) not null,
    primary key (id)
   
);

create table Watermark (
    id bigint generated by default as identity,
	document bigint,
    primary key (id),
    FOREIGN KEY (document) 
    REFERENCES public.Document(id)
);
